PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_spemv | ( | PLASMA_enum | trans,
|  | int | storev,
|  | int | M,
|  | int | N,
|  | int | L,
|  | float | ALPHA,
|  | const float * | A,
|  | int | LDA,
|  | const float * | X,
|  | int | INCX,
|  | float | BETA,
|  | float * | Y,
|  | int | INCY,
|  | float * | WORK
| ) |  |

CORE_spemv performs one of the matrix-vector operations

y = alpha*op( A )*x + beta*y

where op( A ) is one of

op( A ) = A or op( A ) = A**T or op( A ) = A**T,

alpha and beta are scalars, x and y are vectors and A is a pentagonal matrix (see further details).

# Arguments

Parameters

  [in] | storev |
          @arg PlasmaColumnwise :  array A stored columwise
          @arg PlasmaRowwise    :  array A stored rowwise
  [in] | trans |
          @arg PlasmaNoTrans   :  y := alpha*A*x    + beta*y.
          @arg PlasmaTrans     :  y := alpha*A**T*x + beta*y.
          @arg PlasmaTrans :  y := alpha*A**T*x + beta*y.
  [in] | M | Number of rows of the matrix A. M must be at least zero.
  [in] | N | Number of columns of the matrix A. N must be at least zero.
  [in] | L | Order of triangle within the matrix A (L specifies the shape of the matrix A; see further details).
  [in] | ALPHA | Scalar alpha.
  [in] | A | Array of size LDA-by-N. On entry, the leading M by N part of the array A must contain the matrix of coefficients.
  [in] | LDA | Leading dimension of array A.
  [in] | X | On entry, the incremented array X must contain the vector x.
  [in] | INCX | Increment for the elements of X. INCX must not be zero.
  [in] | BETA | Scalar beta.
  [in,out] | Y | On entry, the incremented array Y must contain the vector y.
  [out] | INCY | Increment for the elements of Y. INCY must not be zero.
  [out] | WORK | Workspace array of size at least L.

# Further Details

             |     N    |
          _   ___________   _
             |          |

A: | | M-L | | | | M _ |..... | \ : | L \ : | _ \:_____| _

| L | N-L |

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value